Odroid XU 4 SDL can’t launch emulationstation EDL

Very powerful gaming console solution based on Debian
Post Reply
field3d
Posts: 53
Joined: Sat Feb 16, 2019 6:57 am
languages_spoken: english
Has thanked: 0
Been thanked: 1 time
Contact:

Odroid XU 4 SDL can’t launch emulationstation EDL

Unread post by field3d » Sat Mar 30, 2019 10:17 am

I try to launch emulationstation and I receive this error:

lvl0: Error initializing SDL!
No available video device
lvl0: Renderer failed to initialize!
lvl0: Window failed to initialize!

This happened after I made update with:

sudo apt update
sudo apt upgrade
sudo apt dist-upgrade
sudo apt install linux-image-xu3
sudo reboot

What could be the problem? It was working fine but after that commands the problem began.

field3d
Posts: 53
Joined: Sat Feb 16, 2019 6:57 am
languages_spoken: english
Has thanked: 0
Been thanked: 1 time
Contact:

Re: Odroid XU 4 SDL can’t launch emulationstation EDL

Unread post by field3d » Sun Mar 31, 2019 1:42 pm

Anyone can help. I stuck :(

I have this information I grabbed from my system:

sudo find / -name "libSDL2*.so"

/home/game/SDL2-2.0.9/build/build/.libs/libSDL2.so
/usr/lib/arm-linux-gnueabihf/libSDL2_net.so
/usr/lib/arm-linux-gnueabihf/libSDL2_image-2.0.so
/usr/lib/arm-linux-gnueabihf/libSDL2_mixer-2.0.so
/usr/lib/arm-linux-gnueabihf/libSDL2_ttf.so
/usr/lib/arm-linux-gnueabihf/libSDL2_ttf-2.0.so
/usr/lib/arm-linux-gnueabihf/libSDL2_mixer.so
/usr/lib/arm-linux-gnueabihf/libSDL2-2.0.so
/usr/lib/arm-linux-gnueabihf/libSDL2.so
/usr/lib/arm-linux-gnueabihf/libSDL2_net-2.0.so
/usr/lib/arm-linux-gnueabihf/libSDL2_image.so

sudo find / -name "libGL*"

/usr/lib/arm-linux-gnueabihf/libGLESv2.so
/usr/lib/arm-linux-gnueabihf/libGLU.so.1.3.1
/usr/lib/arm-linux-gnueabihf/libGLU.so
/usr/lib/arm-linux-gnueabihf/libGL.so
/usr/lib/arm-linux-gnueabihf/libGLESv2.so.2.0.0
/usr/lib/arm-linux-gnueabihf/libGLdispatch.so
/usr/lib/arm-linux-gnueabihf/libGLdispatch.so.0
/usr/lib/arm-linux-gnueabihf/libGLEW.so
/usr/lib/arm-linux-gnueabihf/libGLU.so.1
/usr/lib/arm-linux-gnueabihf/libGLX_indirect.so.0
/usr/lib/arm-linux-gnueabihf/libGLX.so.0
/usr/lib/arm-linux-gnueabihf/libGLX.so.0.0.0
/usr/lib/arm-linux-gnueabihf/libGLEW.so.2.0.0
/usr/lib/arm-linux-gnueabihf/libGLESv2.so.2
/usr/lib/arm-linux-gnueabihf/libGLESv1_CM.so
/usr/lib/arm-linux-gnueabihf/libGLESv1_CM.so.1
/usr/lib/arm-linux-gnueabihf/libGL.so.1
/usr/lib/arm-linux-gnueabihf/mali-egl/libGLESv2.so
/usr/lib/arm-linux-gnueabihf/mali-egl/libGLESv2.so.2.0
/usr/lib/arm-linux-gnueabihf/mali-egl/libGLESv2.so.2
/usr/lib/arm-linux-gnueabihf/mali-egl/libGLESv1_CM.so
/usr/lib/arm-linux-gnueabihf/mali-egl/libGLESv1_CM.so.1
/usr/lib/arm-linux-gnueabihf/mali-egl/libGLESv1_CM.so.1.1
/usr/lib/arm-linux-gnueabihf/libGLESv1_CM.so.1.0.0
/usr/lib/arm-linux-gnueabihf/libGLdispatch.so.0.0.0
/usr/lib/arm-linux-gnueabihf/libGLU.a
/usr/lib/arm-linux-gnueabihf/libGLX_mesa.so.0.0.0
/usr/lib/arm-linux-gnueabihf/libGL.so.1.0.0
/usr/lib/arm-linux-gnueabihf/libGLEW.so.2.0
/usr/lib/arm-linux-gnueabihf/libGLX.so
/usr/lib/arm-linux-gnueabihf/libGLX_mesa.so.0

which emulationstation

/usr/bin/emulationstation

apt-cache showpkg libsdl2-dev

Package: libsdl2-dev
Versions:
2.0.8+dfsg1-1ubuntu1.18.04.3 (/var/lib/apt/lists/ports.ubuntu.com_ubuntu-ports_dists_bionic-updates_universe_binary-armhf_Packages)
Description Language:
File: /var/lib/apt/lists/ports.ubuntu.com_ubuntu-ports_dists_bionic_universe_binary-armhf_Packages
MD5: 9a82f59c5790721baad7ffc5f181d3d6
Description Language: en
File: /var/lib/apt/lists/ports.ubuntu.com_ubuntu-ports_dists_bionic_universe_i18n_Translation-en
MD5: 9a82f59c5790721baad7ffc5f181d3d6
Description Language:
File: /var/lib/apt/lists/ports.ubuntu.com_ubuntu-ports_dists_bionic-updates_universe_binary-armhf_Packages
MD5: 9a82f59c5790721baad7ffc5f181d3d6

2.0.8+dfsg1-1ubuntu1 (/var/lib/apt/lists/ports.ubuntu.com_ubuntu-ports_dists_bionic_universe_binary-armhf_Packages)
Description Language:
File: /var/lib/apt/lists/ports.ubuntu.com_ubuntu-ports_dists_bionic_universe_binary-armhf_Packages
MD5: 9a82f59c5790721baad7ffc5f181d3d6
Description Language: en
File: /var/lib/apt/lists/ports.ubuntu.com_ubuntu-ports_dists_bionic_universe_i18n_Translation-en
MD5: 9a82f59c5790721baad7ffc5f181d3d6
Description Language:
File: /var/lib/apt/lists/ports.ubuntu.com_ubuntu-ports_dists_bionic-updates_universe_binary-armhf_Packages
MD5: 9a82f59c5790721baad7ffc5f181d3d6

2.0.8+1mali (/var/lib/dpkg/status)
Description Language:
File: /var/lib/dpkg/status
MD5: 7085696df1cfaa119cbfcae5fa57d437


Reverse Depends:
libsdl2-doc,libsdl2-dev 2.0.4+dfsg-1
libsdl2-doc,libsdl2-dev 2.0.4+dfsg-1
libsdl2-doc,libsdl2-dev 2.0.4+dfsg-1
libsndifsdl2-dev,libsdl2-dev
libsdl2-ttf-dev,libsdl2-dev 2.0.0
libsdl2-net-dev,libsdl2-dev 2.0.0
libsdl2-mixer-dev,libsdl2-dev 2.0.7
libsdl2-image-dev,libsdl2-dev 2.0.8
libsdl2-gfx-dev,libsdl2-dev
libsdl2-doc,libsdl2-dev 2.0.4+dfsg-1
games-c++-dev,libsdl2-dev
libpjproject-dev,libsdl2-dev
Dependencies:
2.0.8+dfsg1-1ubuntu1.18.04.3 - libasound2-dev (0 (null)) libdbus-1-dev (0 (null)) libegl1-mesa-dev (0 (null)) libgl1-mesa-dev (0 (null)) libgles2-mesa-dev (0 (null)) libglu1-mesa-dev (0 (null)) libibus-1.0-dev (0 (null)) libmirclient-dev (0 (null)) libpulse-dev (0 (null)) libsdl2-2.0-0 (5 2.0.8+dfsg1-1ubuntu1.18.04.3) libsndio-dev (0 (null)) libudev-dev (0 (null)) libwayland-dev (0 (null)) libx11-dev (0 (null)) libxcursor-dev (0 (null)) libxext-dev (0 (null)) libxi-dev (0 (null)) libxinerama-dev (0 (null)) libxkbcommon-dev (0 (null)) libxrandr-dev (0 (null)) libxss-dev (0 (null)) libxt-dev (0 (null)) libxv-dev (0 (null)) libxxf86vm-dev (0 (null)) libsdl-1.3-dev (0 (null)) libsdl-1.3-dev (0 (null))
2.0.8+dfsg1-1ubuntu1 - libasound2-dev (0 (null)) libdbus-1-dev (0 (null)) libegl1-mesa-dev (0 (null)) libgl1-mesa-dev (0 (null)) libgles2-mesa-dev (0 (null)) libglu1-mesa-dev (0 (null)) libibus-1.0-dev (0 (null)) libmirclient-dev (0 (null)) libpulse-dev (0 (null)) libsdl2-2.0-0 (5 2.0.8+dfsg1-1ubuntu1) libsndio-dev (0 (null)) libudev-dev (0 (null)) libwayland-dev (0 (null)) libx11-dev (0 (null)) libxcursor-dev (0 (null)) libxext-dev (0 (null)) libxi-dev (0 (null)) libxinerama-dev (0 (null)) libxkbcommon-dev (0 (null)) libxrandr-dev (0 (null)) libxss-dev (0 (null)) libxt-dev (0 (null)) libxv-dev (0 (null)) libxxf86vm-dev (0 (null)) libsdl-1.3-dev (0 (null)) libsdl-1.3-dev (0 (null))
2.0.8+1mali - libsdl2-2.0-0 (5 2.0.8+1mali) libc6-dev (0 (null)) libgl1-mesa-dev (0 (null)) libx11-dev (0 (null)) libsdl-1.3-dev (0 (null)) libsdl-1.3-dev (0 (null))
Provides:
2.0.8+dfsg1-1ubuntu1.18.04.3 -
2.0.8+dfsg1-1ubuntu1 -
2.0.8+1mali -
Reverse Provides:

md5sum /usr/lib/arm-linux-gnueabihf/libSDL2.so

e7281fb0880830ddc64fec99505ce4ca /usr/lib/arm-linux-gnueabihf/libSDL2.so

User avatar
meveric
Posts: 10279
Joined: Mon Feb 25, 2013 2:41 pm
languages_spoken: german, english
ODROIDs: X2, U2, U3, XU-Lite, XU3, XU3-Lite, C1, XU4, C2, C1+, XU4Q, HC1, N1, Go, H2 (N4100), N2
Has thanked: 13 times
Been thanked: 103 times
Contact:

Re: Odroid XU 4 SDL can’t launch emulationstation EDL

Unread post by meveric » Sun Mar 31, 2019 3:57 pm

you probably have to reinstall mali drivers... mali-fbdev I guess.
Donate to support my work on the ODROID GameStation Turbo Image for U2/U3 XU3/XU4 X2 X C1 as well as many other releases.
Check out the Games and Emulators section to find some of my work or check the files in my repository to find the software i build for ODROIDs.
If you want to add my repository to your image read my HOWTO integrate my repo into your image.

field3d
Posts: 53
Joined: Sat Feb 16, 2019 6:57 am
languages_spoken: english
Has thanked: 0
Been thanked: 1 time
Contact:

Re: Odroid XU 4 SDL can’t launch emulationstation EDL

Unread post by field3d » Sun Mar 31, 2019 10:24 pm

Ok thank you to see. Look I try to do this:

apt install mali-t76-fbdev-driver

and it says: “Unable to locate package mali-t76x-fbdev-driver”

Is that what is needed to install? And why can’t be installed?

User avatar
meveric
Posts: 10279
Joined: Mon Feb 25, 2013 2:41 pm
languages_spoken: german, english
ODROIDs: X2, U2, U3, XU-Lite, XU3, XU3-Lite, C1, XU4, C2, C1+, XU4Q, HC1, N1, Go, H2 (N4100), N2
Has thanked: 13 times
Been thanked: 103 times
Contact:

Re: Odroid XU 4 SDL can’t launch emulationstation EDL

Unread post by meveric » Sun Mar 31, 2019 11:26 pm

the ODROID XU4 has no mali-t76x-fbdev-driver (nor has it a Mali T76x GPU)... no idea where you got that name from.
The package most likely is simply called "mali-fbdev".
Donate to support my work on the ODROID GameStation Turbo Image for U2/U3 XU3/XU4 X2 X C1 as well as many other releases.
Check out the Games and Emulators section to find some of my work or check the files in my repository to find the software i build for ODROIDs.
If you want to add my repository to your image read my HOWTO integrate my repo into your image.

field3d
Posts: 53
Joined: Sat Feb 16, 2019 6:57 am
languages_spoken: english
Has thanked: 0
Been thanked: 1 time
Contact:

Re: Odroid XU 4 SDL can’t launch emulationstation EDL

Unread post by field3d » Sun Mar 31, 2019 11:38 pm

ok but how do you install it? Maybe is a fool question. ya how I install the package you mention?

User avatar
meveric
Posts: 10279
Joined: Mon Feb 25, 2013 2:41 pm
languages_spoken: german, english
ODROIDs: X2, U2, U3, XU-Lite, XU3, XU3-Lite, C1, XU4, C2, C1+, XU4Q, HC1, N1, Go, H2 (N4100), N2
Has thanked: 13 times
Been thanked: 103 times
Contact:

Re: Odroid XU 4 SDL can’t launch emulationstation EDL

Unread post by meveric » Sun Mar 31, 2019 11:54 pm

I don't even know what OS or image you're using, so I can only guess....

Code: Select all

apt-get install --reinstall mali-fbdev
Donate to support my work on the ODROID GameStation Turbo Image for U2/U3 XU3/XU4 X2 X C1 as well as many other releases.
Check out the Games and Emulators section to find some of my work or check the files in my repository to find the software i build for ODROIDs.
If you want to add my repository to your image read my HOWTO integrate my repo into your image.

field3d
Posts: 53
Joined: Sat Feb 16, 2019 6:57 am
languages_spoken: english
Has thanked: 0
Been thanked: 1 time
Contact:

Re: Odroid XU 4 SDL can’t launch emulationstation EDL

Unread post by field3d » Mon Apr 01, 2019 12:31 am

I did the command and I have this message:

Code: Select all

sudo apt-get install --reinstall mali-fbdev

Reading package lists... Done
Building dependency tree
Reading state information... Done
Reinstallation of mali-fbdev is not possible, it cannot be downloaded.
0 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.
Also I ran with debug mode the emulationstation adn gives this message:

Code: Select all

SDL_VIDEO_EGL_DRIVER=/usr/lib/arm-linux-gnueabihf/mali-egl/libGLESv2.so emulationstation --debug

lvl2:   EmulationStation - v2.7.6rp, built Mar 31 2019 - 02:33:22
lvl2:   Creating surface...
lvl2:   Created window successfully.
terminate called after throwing an instance of 'std::logic_error'
  what():  basic_string::_M_construct null not valid
Aborted
That is the reason why not runs emulationstation. Anyway I couldn’t install as you can see the mali-fbdev is there any other way to install it?

User avatar
meveric
Posts: 10279
Joined: Mon Feb 25, 2013 2:41 pm
languages_spoken: german, english
ODROIDs: X2, U2, U3, XU-Lite, XU3, XU3-Lite, C1, XU4, C2, C1+, XU4Q, HC1, N1, Go, H2 (N4100), N2
Has thanked: 13 times
Been thanked: 103 times
Contact:

Re: Odroid XU 4 SDL can’t launch emulationstation EDL

Unread post by meveric » Mon Apr 01, 2019 12:48 am

it said it can not be downloaded.. which means it at least knows it.. you probably should do an sudo apt update first to make sure you have the latest list available.
Donate to support my work on the ODROID GameStation Turbo Image for U2/U3 XU3/XU4 X2 X C1 as well as many other releases.
Check out the Games and Emulators section to find some of my work or check the files in my repository to find the software i build for ODROIDs.
If you want to add my repository to your image read my HOWTO integrate my repo into your image.

field3d
Posts: 53
Joined: Sat Feb 16, 2019 6:57 am
languages_spoken: english
Has thanked: 0
Been thanked: 1 time
Contact:

Re: Odroid XU 4 SDL can’t launch emulationstation EDL

Unread post by field3d » Mon Apr 01, 2019 12:53 am

Yes I made update and upgrade and it mali-fed. doesn’t install say the same error posted before.

Post Reply

Return to “OGST-XU4”

Who is online

Users browsing this forum: No registered users and 1 guest